# Interface JUnitTestSuiteSpec

All Superinterfaces:
  `ComponentSpec, GeneralComponentSpec, JvmComponentSpec, JvmTestSuiteSpec, ModelElement, Named, SourceComponentSpec, TestSuiteSpec, VariantComponent, VariantComponentSpec`

@Incubating public interface JUnitTestSuiteSpec extends JvmTestSuiteSpec
Represents a JUnit test suite.

Since:
  2.11

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`String`
`getjUnitVersion()`
`void`
`setjUnitVersion(String junitVersion)`

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface JvmTestSuiteSpec

`getDependencies, getTestedComponent`

### Methods inherited from interface ModelElement

`getDisplayName`

### Methods inherited from interface SourceComponentSpec

`getSources`

### Methods inherited from interface TestSuiteSpec

`setTestedComponent, testing`

### Methods inherited from interface VariantComponent

`getName, getVariants`

### Methods inherited from interface VariantComponentSpec

`getBinaries`

## Method Details

### getjUnitVersion

String getjUnitVersion()

### setjUnitVersion

void setjUnitVersion(String junitVersion)